Bug 1186384 - nano file lock message shows wrong PID
Summary: nano file lock message shows wrong PID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nano
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-27 15:19 UTC by Don Swaner
Modified: 2015-02-01 00:25 UTC (History)
3 users (show)

Fixed In Version: nano-2.3.4-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-01 00:25:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Don Swaner 2015-01-27 15:19:37 UTC
Description of problem:
When nano displays a file locking warning the PID shown is incorrect.

Version-Release number of selected component (if applicable):
nano-2.3.4-5.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. nano an exising file
2. in another terminal tab, nano the same file
3. Note the PID displayed in the lock warning message
4. in another terminal, do a "pgrep -a nano"

Actual results:
The PID of the first nano does not match the PID displayed in the warning message.

Expected results:
The PID of the nano holding the lock should match the PID displayed in the warning message.

Additional info:

Comment 1 Kamil Dudka 2015-01-27 16:51:31 UTC
Thank you for reporting the bug!  I have proposed a fix for this upstream:

http://thread.gmane.org/gmane.editors.nano.devel/3701/focus=3702

Comment 2 Kamil Dudka 2015-01-27 17:09:17 UTC
fixed in nano-2.3.6-6.fc22

Comment 3 Fedora Update System 2015-01-27 21:39:59 UTC
nano-2.3.4-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nano-2.3.4-6.fc21

Comment 4 Fedora Update System 2015-01-30 04:30:02 UTC
Package nano-2.3.4-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nano-2.3.4-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1322/nano-2.3.4-6.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-02-01 00:25:59 UTC
nano-2.3.4-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.